Package Gnumed :: Package business :: Module gmVaccination :: Class cVaccination |
[frames] | no frames]

# Class cVaccination

source code

                                       object --+
                                                |
    pycommon.gmBusinessDBObject.cBusinessDBObject --+
                                                    |
                                                   cVaccination

Instance Methods
format(self, with_indications=False, with_comment=False, with_reaction=False, date_format='%Y-%m-%d') | source code
Inherited from `pycommon.gmBusinessDBObject.cBusinessDBObject`: `__del__`, `__getitem__`, `__init__`, `__setitem__`, `__str__`, `fields_as_dict`, `get_fields`, `get_patient`, `get_updatable_fields`, `is_modified`, `refetch_payload`, `same_payload`, `save`, `save_payload` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__subclasshook__`

Class Variables
| vaccine = `property(_get_vaccine, lambda x: x)`

Properties
Inherited from `object`: `__class__`